:root {
  --swiper-pagination-bullet-inactive-color: #505050;
  --themecolor: #FFFC00;
  --black: #000000;
  --black-80: color-mix(in srgb, #000000 80%, white 20%);
  --black-60: color-mix(in srgb, #000000 60%, white 40%);
  --black-20: color-mix(in srgb, #000000 20%, white 80%);
  --black-10: color-mix(in srgb, #000000 10%, white 90%);
  --white: #FFFFFF;
  --font-family-grotesk: 'ReferenzGroteskRegular';
}
* {
  font-family: var(--font-family-grotesk) !important;
}
h1, h2, h3, h4, h5, h6, .h1, .h2, .h3, .h4, .h5, .h6 {
  color: var(--black) !important;
}
.footer-container h1, .footer-container h2, .footer-container h3, .footer-container h4, .footer-container h5, .footer-container h6,
.footer-container .h1, .footer-container .h2, .footer-container .h3, .footer-container .h4, .footer-container .h5, .footer-container .h6 {
  color: var(--white) !important;
}
body {
  color: var(--black);
}
body a {
  color: var(--black-60) !important;
}

body a:hover {
  color: var(--black) !important;
  text-decoration: underline !important;
  font-weight: 600 !important;
}
.breadcrumb>.breadcrumb-item>a {
  color: var(--black-60);
}
.breadcrumb>.breadcrumb-item>a:hover {
  border-bottom: 7px solid var(--themecolor);
  color: var(--black);
}
.introtext + .frame.frame-frame-1 {
  background: var(--black-80);
}
.frame.frame-layout-1, .frame.frame-layout-2 {
  background-color: var(--black-20);
}
.swiper-container {
    max-width: 1120px;
    padding: 20px 0;
    overflow: hidden;
}

.swiper-slide {
    height:auto !important;
}

.swiper-button-next, .swiper-button-prev {
    color: #505050 !important;
}

.swiper-button-next:after, .swiper-button-prev:after {
    font-size: 25px !important;
}
.images .swiper-button-next, .images .swiper-button-prev {
    background-color: white;
}
.swiper-pagination-bullet {
  background-color: #505050 !important;
}
.swiper-pagination-bullet-active {
    background-color: var(--themecolor);
}
.swiper-pagination {
    bottom: var(--swiper-pagination-bottom, 0px) !important;
}
.images .swiper-pagination {
    bottom: var(--swiper-pagination-bottom, -6px) !important;
}


/* News */
.news.swiper {
    margin: 0 -10px;
}
.news .news-list-view.latest .date-day,
.news .news-list-view.latest .date-month,
.news .news-list-view .teaser-text {
  color: var(--white);
}
.news .news-list-view.latest .header {
  width: 100%;
}
.news .news-list-view h3>a, .news .news-list-view .h3>a, .news a.internal-link {
  color: var(--themecolor) !important;
  font-weight: 600;
}
.news .news-list-view h3>a:hover, .news .news-list-view .h3>a:hover,
.news a.internal-link:hover{
  color: var(--themecolor) !important;
  text-decoration: underline;
}
.news .news-list-view.kachel-list a,
.news .news-list-view.kachel-list .teaser-text p {
  color: var(--black) !important;
}
.news .news-list-view.kachel-list a:hover {
  text-decoration: underline;
  color: var(--black) !important;
}

/* Header */
.header-element .header-element-title h1 {
  color: var(--black);
  font-size: 2.75rem;
}
.meta-buttons .btn [class^="icon-"], .meta-buttons .btn [class*=" icon-"] {
  background-color: var(--black);
}
.meta-container .nav-link:hover {
  background-color: transparent !important;
  color: var(--black) !important;
  text-decoration: underline;
}
.meta-container .nav-link-easy-language:hover .ic-easy-language,
.meta-container .nav-link-sign-language:hover .ic-sign-language {
  background-color: var(--black);
}
.headerslider .owl-controls {
  color: var(--black);
}
.headerslider .owl-controls .owl-dots .owl-dot{
  background-color: var(--black);
  border: 1px solid var(--black);
}
.headerslider .owl-controls .owl-dots .owl-dot.active {
  background-color: var(--themecolor);
  border: 1px solid var(--themecolor);
}
.headerslider .owl-controls .button {
  background-color: var(--themecolor);
}
.headerslider .owl-item .btn.btn-reverse {
  background-color: var(--black);
  color: var(--white) !important;
}
.headerslider .owl-item .btn.btn-reverse:hover {
  background-color: var(--white);
  color: var(--black) !important;
  border-color: var(--black);
}

.headerslider .owl-carousel .item .slider-caption h5,
.headerslider .owl-carousel .item .slider-caption .h5,
.headerslider .owl-carousel .item .slider-caption h6,
.headerslider .owl-carousel .item .slider-caption .h6 {
  color: var(--black);
  font-family: var(--font-family-grotesk);
}
.headerslider .owl-carousel .item .slider-caption h5,
.headerslider .owl-carousel .item .slider-caption .h5 {
  font-size: 2rem;
}
/* Widget */
.widget .kreis {
  border: 2px solid var(--black);
}
.widget h3, .widget .h3, .widget h4 {
  color: var(--black);
}
.widget .kreis svg path, .widget .kreis svg polygon, .widget .kreis svg rect {
  fill: var(--black);
}
.widget .kreis img {
  color: var(--black);
  filter: unset;
  -webkit-filter: unset;
}

.btn {
  color: var(--black) !important;
  background-color: var(--themecolor);
}
.btn.btn-link,
.meta-buttons a.btn {
  color: var(--black-60) !important;
}
.btn:hover,
.btn.btn-reverse:hover {
  background-color: var(--black);
  border-color: var(--black);
  color: var(--white) !important;
  text-decoration: none !important;
}

.meta-buttons a.btn:hover,
.btn-link:hover {
  color: var(--black) !important;
  text-decoration: underline !important;
}

.btn-default { background: #ccc; color: #333; }
.btn-primary { background: #007bff; color: white; }
.btn-secondary { background: #6c757d; color: white; }
.btn-success { background: #28a745; color: white; }
.btn-warning { background: #ffc107; color: black; }
.btn-danger { background: #dc3545; color: white; }
.btn-info { background: #17a2b8; color: white; }

.btn.btn-reverse {
  background-color: var(--white);
  color: #000;
  border-color: #000;
}

.accordion .card .card-header h5 .btn,
.accordion .card .card-header h5 .btn:hover {
  background-color: unset;
  color: var(--black);
}
.accordion .card .card-header h5 .btn:hover {
  text-decoration: none !important;
}

.btn-individual {
    width: 100%;
    margin-bottom: 20px;
}
.btn-individual:after {
    content: unset !important;
}

.image-right {
    float:right;
}
.image-left {
    float:left;
}

@media (max-width: 767px) {
    .btn-individual {
        width: 100%;
    }
    .news .news-list-view .teaser-text .teaser-subtext {
        display:none;
    }
}

/* Menü */
.navbar .navbar-nav>.nav-item .nav-link:hover {
  border-bottom: 10px solid var(--themecolor);
  color: var(--black);
  font-weight: 600;
  text-decoration: none !important;
}
.navbar .navbar-nav>.nav-item.active .nav-link {
  border-bottom: 10px solid var(--themecolor);
  font-weight: 600;
}

.kachel .kachel-header .kachel-title {
  background-color: var(--themecolor);
  color: var(--black) !important;
  font-size: 1.75rem;
}
.kachel:hover .kachel-header .kachel-title {
  background-color: var(--black);
  color: var(--white) !important;
}
.kachel:hover .kachel-header > a{
  text-decoration: none;
}

.mitarbeiter-card {
    overflow: hidden;
    box-shadow: 0px 4px 6px rgba(0, 0, 0, 0.1);
    max-width: 360px;
    height: 660px;
    background: white;
    margin-bottom: 10px;
    margin-top: 10px;
}

.mitarbeiter-image img {
    width: 100%;
    height: auto;
    border-bottom: 4px solid #ddd;
}


.mitarbeiter-image {
    width: 100%;
    height: 300px; /* Maximale Höhe für alle Bilder */
    display: flex;
    justify-content: center;
    align-items: center;
    overflow: hidden; /* Schneidet überstehende Teile ab */
}

.mitarbeiter-image figure.image {
    height: 300px !important; /* Maximale Höhe für alle Bilder */
}

.mitarbeiter-image .figcopyright {
    bottom: -8px !important;
}

.mitarbeiter-name {
  background-color: var(--themecolor);
  color: var(--black);
  font-size: 18px;
  font-weight: bold;
  padding: 10px;
  text-align: center;
}

.mitarbeiter-info {
    padding: 15px;
    text-align: left;
    display: flex;
    flex-direction: column;
    justify-content: space-between; /* Verteilt den Text und die Kontaktdaten */
    min-height: 280px; /* Gleiche Höhe für alle Boxen */
}

/* Der obere Textblock hat eine feste Höhe */
.mitarbeiter-text {
    min-height: 160px; /* Hier Höhe anpassen, je nach Länge der längsten Beschreibung */
    display: flex;
    align-items: flex-start;
}

.mitarbeiter-kontakt {
    transform: translateY(-60px);
    width: auto;
    margin-left: 15px;
    margin-right: 15px;
    font-size: 14px;

}

.mitarbeiter-kontakt p {
    margin-bottom: 5px;
}

.ma-trennlinie {
    width: 100%;
    border: 1px solid #ddd;
    margin: 10px 0;
}

.mitarbeiter-info p {
    margin: 5px 0;
    font-size: 14px;
}

@media (max-width: 990px) and (min-width: 768px) {
    .mitarbeiter-image {
        height: 220px;
    }

    .mitarbeiter-image figure.image {
        height: 220px !important;
    }

    .mitarbeiter-kontakt {
        transform: translateY(0px);
        width: auto;
        margin-left: 15px;
        margin-right: 15px;
        font-size: 14px;

    }

    /* Falls nötig: Höhe der Karten etwas anpassen */
    .mitarbeiter-card {
        height: auto; /* Falls sich Inhalte anpassen müssen */
    }
}

@media (max-width: 767px) {
    /* Die gesamte Card nimmt 100% der Breite ein */
    .mitarbeiter-card {
        max-width: 100%;
        height: auto; /* Dynamische Höhe für responsives Verhalten */
        margin-bottom: 20px;
        position: relative;
        overflow: hidden;
        margin: 20px;
    }

    /* Bildbereich korrekt anpassen */
    .mitarbeiter-image {
        width: 100%;
        position: relative; /* Wichtig für absolute Positionierung */
    }

    .mitarbeiter-image img {
        width: 100%;
        height: auto;
        transform: translateY(-50px);
    }

    /* Copyright-Text richtig positionieren */
    figure.image .figcopyrigh {
        bottom: 10px;
    }

    /* Name soll direkt unter dem Bild und figcopyright bleiben */
    .mitarbeiter-name {
        position: relative;
        bottom: 0;
        left: 0;
        width: 100%;
        background-color: rgba(141, 166, 46, 0.85);
        color: white;
        font-size: 16px;
        font-weight: bold;
        text-align: center;
        padding: 10px;
        margin: 0; /* Kein Margin, damit er nicht rausrutscht */
    }

    /* Der Info-Bereich wächst dynamisch */
    .mitarbeiter-info {
        padding: 15px;
        text-align: left;
        color: #505050;
        display: flex;
        flex-direction: column;
        justify-content: space-between;
        min-height: auto;
    }

    /* Textbereich flexibel halten */
    .mitarbeiter-text {
        min-height: auto;
        display: flex;
        align-items: flex-start;
    }

    /* Trennlinie und Kontaktinfos bleiben unten */
    .mitarbeiter-kontakt {
        margin-top: 50px;
        padding-top: 10px;
        font-size: 14px;
        transform: translateY(-10px);
    }

    .ma-trennlinie {
        width: 100%;
        border: 1px solid #ddd;
        margin: 10px 0;
    }

    /* Schriftgröße für bessere Lesbarkeit */
    .mitarbeiter-info p {
        margin: 5px 0;
        font-size: 16px;
    }
}

@media (max-width: 500px) {
    .mitarbeiter-image img {
        width: 100%;
        height: auto;
        transform: unset;
    }
}

@media (max-width: 768px) {
    .owl-stage .owl-item a {
        text-decoration: none;
    }

    .owl-controls {
        display: inline-block;
        margin-right: -25px;
    }
}

/* Testimonial Container */
.testimonial-card {
    background: white;
    box-shadow: 0 10px 30px rgba(0, 0, 0, 0.1);
    padding: 40px 20px;
    text-align: left;
    max-width: 400px;
    height: auto;
    margin: auto;
    position: relative;
    overflow: hidden;
    transition: all 0.3s ease-in-out;
}

/* Text Container */
.testimonial-content {
    padding: 40px 30px;
    font-style: italic;
    font-size: 1.1em;
    color: var(--themecolor);
    border-radius: 10px;
    position: relative;
    height: 287px;
    display: flex;
    justify-content: center; /* Zentriert horizontal */
    text-align: left;
}

/* Anführungszeichen */
.quote-icon {
    font-size: 50px;
    position: absolute;
    top: 0px;
    left: -5px;
}

.quote-icon-right {
    font-size: 50px;
    position: absolute;
    bottom: -20px;
    right: 10px;
}

.testimonial-image img {
    width: 50px;
    height: 50px;
    border-radius: 50%;
    object-fit: cover;
    z-index: 2;
}

.testimonial-footer {
    display: flex;
    align-items: center;
    gap: 15px;
    margin-top: 20px;
}


.testimonial-author {
    text-align: left;
    flex-grow: 1;
}

.testimonial-author h4 {
    font-weight: bold;
    font-size: 1.2em;
    color: #222;
    margin: 0;
    text-transform: unset;
}

.testimonial-author span {
    display: block;
    font-size: 0.9em;
    color: #777;
}



#typo3-preview-info {
    display: none !important;
}


.linkliste {
    list-style: none;
    padding-left: 0; /* Entfernt zusätzlichen linken Abstand */
}

.linkliste a {
    display: block;
    text-decoration: none;
    padding: 10px 0;
    border-bottom: 1px solid #ddd;
    font-size: 16px;
    color: #000;
}

.linkliste a:hover {
    border-bottom: 1px solid #000;
  text-decoration: none !important;
}


/***********NEWS SLIDER STYLE**************/


#c23480 .news .news-list-view.kachel-list .wrapper {
    padding-bottom: 0; }
.news .news-list-view .swiper-slide h3>a {
  color: var(--black-60) !important;
}
.news .news-list-view .swiper-slide h3>a:hover {
  color: var(--black) !important;
}

/* Footer */
.footer-container {
  background-color: var(--black);
}
.footer-container ul>li>a {
  color: var(--white) !important;
}
.footer-container ul>li>a:hover {
  text-decoration: underline;
}
.footer-container .socialnavi .nav-item>a {
  color: var(--black) !important;
}
.footer-container .socialnavi .nav-item:hover {
  background-color: var(--themecolor) !important;
}
.footer-container .socialnavi [class^="icon-"],.footer-container .socialnavi [class*=" icon-"] {
  line-height: unset;
}

/* Logo */
@media (min-width: 1200px) {
  .logo.img-fluid.logo-gross.logo-color {
    width: 60%;
  }
}
.newsletter-container a.btn {
  border: 1px solid var(--black) !important;
  background-color: transparent !important;
  color: var(--black) !important;
}
.newsletter-container a.btn:hover {
  background-color: var(--black) !important;
}
i.fas {
  font-family: "Font Awesome 6 Free" !important;
}
